<?php
/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */
 
//模板类
class Html extends Smarty{

	public function __construct(){
		parent::__construct();
		$this->setTemplateDir(APP_PATH."View/".HTML);
		$this->setCompileDir(ZH_PATH."Public/Tmp/".HTML."Tmp");
		$this->auto_literal = false;
		$this->caching = CSTART;     //设置缓存开启
		$this->setCacheDir(ZH_PATH."Public/cache/".HTML);  //设置缓存的目录
		$this->cache_lifetime = CTIME;  //设置缓存的时间 
		$this->left_delimiter = "<{";   //模板文件中使用的“左”分隔符号
		$this->right_delimiter = "}>";   //模板文件中使用的“右”分隔符号
	}

	public function display($resourec_name = null, $cache_id = null, $compile_id = null, $parent = null){
		$this->assign("url", B_URL);
		$this->assign("app", B_APP);
		$this->assign("root", B_ROOT);
		$this->assign("public", B_PUBLIC);

		if(is_null($resourec_name)){
			$resourec_name = "{$_GET["m"]}/{$_GET["a"]}.".TPLPREFIX;
		}else if (strstr($resourec_name, "/")){
			$resourec_name = $resourec_name.".".TPLPREFIX;
		}else{
			$resourec_name = $_GET["m"]."/".$resourec_name.".".TPLPREFIX;
		}

		parent::display($resourec_name, $cache_id, $compile_id, $parent);

	}

	public function isCached($tpl_file = null, $cache_id = null, $compile_id = null, $parent = null){
		if(is_null($tpl_file)){
			$tpl_file = "{$_GET["m"]}/{$_GET["a"]}.".TPLPREFIX;
		}else if(strstr($tpl_file, "/")){
			$tpl_file = $tpl_file.".".TPLPREFIX;
		}else{
			$tpl_file = $_GET["m"]."/".$tpl_file.".".TPLPREFIX;
		}

		return parent::isCached($tpl_file, $cache_id, $compile_id, $parent);
	}

	public function clearCache($tpl_file = null, $cache_id = null, $compile_id = null, $exp_time = null, $type = null){
		if(is_null($tpl_file)){
			$tpl_file = "{$_GET["m"]}/{$_GET["a"]}.".TPLPREFIX;
		}else if(strstr($tpl_file, "/")){
			$tpl_file = $tpl_file.".".TPLPREFIX;
		}else{
			$tpl_file = $_GET["m"]."/".$tpl_file.".".TPLPREFIX;
		}

		return parent::clearCache($tpl_file = null, $cache_id = null, $compile_id = null, $exp_time = null, $type = null);
	}
}

?>